<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title></title>
	<style type="text/css">
		#div1{
			width:100px;
			height: 100px;
			margin:10px;
			float:left;
			background: red;
			border:1px solid #000;
			filter:alpha(opacity:30);
			opacity: 0.3;
		}
	</style>
	<script>
		window.onload=function(){
			oDiv1=document.getElementById('div1');
			oDiv1.timer=null;
				oDiv1.onmouseover=function(){
					startMove(this,'opacity',100);
				};
				oDiv1.onmouseout=function(){
					startMove(this,'opacity',30);
				}
		};
		function getStyle(obj,name){
				if(obj.currentStyle){
					return obj.currentStyle[name];
				}else{
					return getComputedStyle(obj,false)[name];
				}
			};
		function startMove(obj,attr,iTarget){
			var cur=null;
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				if(attr=='opacity'){
					cur=parseFloat(getStyle(obj,attr))*100;
				}else{
					cur=Math.round(parseInt(getStyle(obj,attr)));
				}
				var speed=(iTarget-cur)/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(iTarget==cur){
					clearInterval(obj.timer);
				}else{
					if(attr=='opacity'){
						obj.style.filter='alpha(opacity:'+cur+speed+')';
						obj.style.opacity=(cur+speed)/100;
					}else{
						obj.style[cur]=cur+speed+'px';
					}
					
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
</body>
</html>